## xnap 2.5-pre3-2

=== Makefile ===
##############################################################################
#
# XNap Makefile	
#
# This file is grouped in sections that contain logically connected targets.
# The targets are sorted alphabetically by name.
# 
# Some targets make extensive use of gnu tools like grep and sed. Only 
# tested on Debian GNU/Linux unstable.
#
##############################################################################

PLUGINS     = nap viewer/image viewer/mp3 viewer/text viewer/video
#PLUGINS     += gift
#PLUGINS     += gnutella

MAKE        = make
JAVAC       = jikes
JAVAC_OPTS  = -classpath $(CP) +D +P +F
#JAVAC       = javac
#JAVAC_OPTS  = -classpath $(CP)
JAR         = jar
JRE         = java
JDB         = jdb
JAVADOC     = javadoc -private
TAR         = tar

JAVAHOME14  = /usr/local/j2sdk1.4.0
JAVAHOME141 = /usr/local/j2sdk1.4.1_01
HTDOCS      = ../htdocs

TMPDIR	   = /tmp/$(shell id -un && test -x /tmp/$(shell id -un) || mkdir /tmp/$(shell id -un))
#TMPDIR	    = /tmp/$(shell id -un)

PREFIX	    = /usr/local	
DESTDIR     =

LIBS	    = lib/java_readline.jar 
LIBS        += lib/jd3lib.jar
LIBS	    += lib/gnu.getopt.jar
LIBS	    += lib/kunststoff.jar
LIBS	    += lib/libxnap.jar
LIBS	    += lib/log4j.jar
LIBS	    += lib/xnap-ziga.jar
#LIBS        += lib/HTTPClient.jar
#LIBS	     += lib/skinlf.jar

CP	    = .:$(shell echo $(LIBS) $(CPDIRS) | sed -e 's/ /:/g'):$(CLASSPATH)
CP14	    = .:$(shell echo $(LIBS) $(CPDIRS) | sed -e 's/ /:/g'):$(JAVAHOME14)/jre/lib/rt.jar

GREPKEYS    = xargs cat \
	       | perl -n -e 'while (/tr\("((\\"|[^"])*)"/) { print "$$1\n"; s/tr\("((\\"|[^"])*)"//; }' \
	       | sort -u 

SRCDIRS    = $(shell find xnap -type d -not -name CVS \
	               -not -path "xnap/plugin/*" \
	               -not -path "*resources*") \
	     $(shell for i in $(PLUGINS); do \
		       find xnap/plugin/$$i -type d -not -name CVS \
	                 -not -path "*resources*"; \
	             done)
DOC	   = AUTHORS NEWS COPYING COPYING.LIB README TODO
JARDOC     = AUTHORS COPYING README 
DIST       = $(JARDOC) $(ICONS) plugins.properties xnap/MANIFEST \
	     $(shell find xnap/ -name "*.properties")

ICONS      = icons/xnap_logo.png
ICONS      += $(shell find . -name "*.java" | xargs grep "XNapFrame\.getSmallIcon" \
	        | sed -e 's/.*(\"/icons\/16\//;s/\").*//' )
ICONS      += $(shell find . -name "*.java" | xargs grep "XNapFrame\.getIcon" \
	        | sed -e 's/.*(\"/icons\/22\//;s/\").*//' )
ICONS      += $(shell find . -name "*.java" | xargs grep "XNapFrame\.getBigIcon" \
	        | sed -e 's/.*(\"/icons\/32\//;s/\").*//' )

PROG	   = xnap
VER        = $(shell grep "String VERSION" xnap/XNap.java \
                          | sed -e 's/^.* \"//;s/\".*//')

UPLOADS	   = $(PROG)-$(VER).tar.* $(PROG)-$(VER)-installer.exe \
	     $(PROG)-$(VER)-src.tar.gz $(PROG)-$(VER).jar \
	     $(PROG)_$(VER)-1_all.deb $(PROG)-$(VER)-1.noarch.rpm \
	     $(PROG)-$(VER)-Mac-OS-X.tar.gz		

C_DEPENDS  = xnap/XNap.java xnap/XNapLoader.java \
	     $(shell for i in $(PLUGINS); do \
	               test -e xnap/plugin/$$i/Plugin.java \
			 && echo xnap/plugin/$$i/Plugin.java; \
	               test -e xnap/plugin/$$i/GUIPlugin.java \
			 && echo xnap/plugin/$$i/GUIPlugin.java; \
	             done)

ifeq ($(shell uname -s),Darwin)
  include Makefile-OSX
endif

ifeq ($(shell test -r Makefile.config && echo "true"),true)
  include Makefile.config
endif

##############################################################################
# DEVELOPMENT RULES
##############################################################################

%.class : %.java
	$(JAVAC) $(JAVAC_OPTS) $<

junit/% :
	$(JRE) -cp $(CP):junit/ junit.swingui.TestRunner `echo $@ | sed -e 's/junit\///'`

.PHONY : all clean install uninstall


all :
	$(JAVAC) $(JAVAC_OPTS) $(C_DEPENDS)

all-inc :
#	$(JAVAC) $(JAVAC_OPTS) ++ $(C_DEPENDS)
	java JikesWrapper $(JAVAC) $(JAVAC_OPTS) ++ $(C_DEPENDS)

clean :
	find xnap/ -type f \( -name "*.class" -o -name "*.[ou]" \) \
	  -exec rm -f {} \;
	rm -f README.txt COPYING.txt || true

dev : mrproper makefiles cvsignore tags 

distclean : clean
	rm -f Makefile.dep xnap/TAGS
	find xnap/ -name "Makefile" -exec rm -f {} \;
	rm -f xnap*.jar xnap*.gz xnap*.zip xnap*.deb xnap*.rpm xnap*.exe \
	xnap.bin *stamp xnap.1 xnap-snapshot.1
	rm -rf debian/xnap-snapshot debian/xnap || true

emacs-clean:
	find . -name ".#*" -exec rm -f {} \;

mrproper : distclean
	find . \( -type f -o -type l \) \
	\( -name "*~" -o -name "#*" -o -name ".#*" -o -name \
	"*.gz" -o -name "*.bz2" -o -name "*.mp3" -o -name "*.mpg" \) \
	 -exec rm -f {} \;
	rm -f debug.log
	rm -rf mac/Resources/Java/xnap.jar

run : xnap/XNap.class
	$(JRE) -classpath $(CP) xnap.XNap -d

run14: xnap/XNap.class
	$(JAVAHOME14)/bin/$(JRE) \
	  -classpath $(JAVAHOME14)/jre/lib/rt.jar:$(CP) xnap.XNap -d

run141: xnap/XNap.class
	$(JAVAHOME141)/bin/$(JRE) \
	  -classpath $(JAVAHOME141)/jre/lib/rt.jar:$(CP) xnap.XNap -d

run-cmdl : xnap/XNap.class
	$(JRE) -classpath $(CP) xnap.XNap -d -c

run-debug : xnap/XNap.class
	$(JRE) -classpath $(CP) -Xdebug -Xnoagent -Djava.compiler=NONE  \
	  -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=n \
	  xnap.XNap -d

run-debug14 : xnap/XNap.class
	$(JAVAHOME14)/bin/$(JRE) -classpath $(CP14) -Xdebug -Xnoagent \
	-Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=n  xnap.XNap -d

run-jar : xnap.jar
	$(JRE) -jar xnap.jar

run-jswat:
	jswat "load xnap.XNap"

run-loader : xnap/XNap.class
	$(JRE) -classpath $(CP) xnap.XNapLoader -d

##############################################################################
# DIST RULES
##############################################################################

bzipdist : tmpdist
	cp xnap.sh $(TMPDIR)/$(PROG)-$(VER)
	cd $(TMPDIR) && $(TAR) -cjf $(PROG)-$(VER).tar.bz2 $(PROG)-$(VER)
	mv $(TMPDIR)/$(PROG)-$(VER).tar.bz2 .

cvsdist: 
	rm -rf $(TMPDIR)/$(PROG)-$(VER)
	cd $(TMPDIR); cvs -z3 \
	  -d:pserver:anonymous@cvs.xnap.sourceforge.net:/cvsroot/xnap \
	  co -d $(PROG)-$(VER) -r `echo $(PROG)-$(VER) | sed 's/\./_/g'` xnap2
	cd $(TMPDIR); $(TAR) -czf $(PROG)-$(VER)-src.tar.gz $(PROG)-$(VER)
#	cd $(TMPDIR); $(TAR) -cjf $(PROG)-$(VER)-src.tar.bz2 $(PROG)-$(VER)
	mv  $(TMPDIR)/$(PROG)-$(VER)-src.tar.gz .
#	mv  $(TMPDIR)/$(PROG)-$(VER)-src.tar.bz2 .

docdist: javadoc
	$(TAR) -czvf xnap-doc.tgz doc/

deb:
	dpkg-buildpackage -sgpg -pagpg -rfakeroot
	cp ../$(PROG)_$(VER)-1_all.deb . || true

snapshot-deb: 
	cd debian && patch  -p1 < snapshot.diff 
	cp debian/changelog $(TMPDIR)
	cp debian/changelog.snapshot debian/changelog
	dpkg-buildpackage -sgpg -pagpg -rfakeroot
	cp ../$(PROG)-snapshot_$(VER)-1_all.deb .  || true
	cd debian && patch -R  -p1 < snapshot.diff		
	cp debian/changelog debian/changelog.snapshot
	cp $(TMPDIR)/changelog debian/

#dist : srcdist tgzdist jardist windist macdist
dist :  tgzdist jardist windist macdist cvsdist


htdist: 
	cp AUTHORS $(HTDOCS)/AUTHORS.txt
	cp DEVELOPMENT $(HTDOCS)/DEVELOPMENT.txt
	cp NEWS $(HTDOCS)/NEWS.txt
	cp README $(HTDOCS)/README.txt
	cp TRANSLATION $(HTDOCS)/TRANSLATION.txt

jar.stamp : jar

jar : 
	rm -rf $(TMPDIR)/xnap
	mkdir -p $(TMPDIR)/xnap
	$(JAVAC) $(JAVAC_OPTS) -d $(TMPDIR)/xnap $(C_DEPENDS)
	$(TAR) -cf - $(DIST) | $(TAR) -C $(TMPDIR)/xnap -xf -
	for i in $(LIBS); do \
	  unzip -q -o -d $(TMPDIR)/xnap $$i; \
	done
	rm -rf $(TMPDIR)/xnap/META-INF
	$(JAR) cvmf xnap/MANIFEST xnap.jar -C $(TMPDIR)/xnap . > /dev/null 2>&1
	touch jar.stamp

jardist : jar.stamp
	cp $(PROG).jar $(PROG)-$(VER).jar

macdist : jar.stamp
	rm -rf $(TMPDIR)/$(PROG)-$(VER)
	mkdir -p $(TMPDIR)/$(PROG)-$(VER)
	mkdir -p $(TMPDIR)/$(PROG)-$(VER)/XNap\ $(VER).app/Contents
	mkdir -p mac/Resources/Java/
	find i18n -name "XNap_*.i18n" \
	  | sed -e 's/i18n\/XNap_/mac\/Resources\//;s/i18n/lproj/' \
	  | xargs mkdir -p
	mkdir -p mac/Resources/en.lproj
	cp xnap.jar mac/Resources/Java/
	cp AUTHORS mac/Authors.txt
	cp COPYING mac/License\ 1\ \(GPL\).txt 
	cp COPYING.LIB mac/License\ 2\ \(LGPL\).txt
	cp NEWS mac/Changes.txt
	cp README mac/Read\ Me.txt
	cp TODO mac/To\ Do.txt
	cp -R mac/* $(TMPDIR)/$(PROG)-$(VER)/XNap\ $(VER).app/Contents/
	mv $(TMPDIR)/$(PROG)-$(VER)/XNap\ $(VER).app/Contents/*.txt \
	  $(TMPDIR)/$(PROG)-$(VER)/
	cd $(TMPDIR) && $(TAR) --exclude=CVS -cvzf \
	  $(PROG)-$(VER)-Mac-OS-X.tar.gz  $(PROG)-$(VER)/
	mv $(TMPDIR)/$(PROG)-$(VER)-Mac-OS-X.tar.gz .
	rm -f mac/*.txt && \
	cp $(TMPDIR)/$(PROG)-$(VER)/Mac\ OS\ X\ Tips.txt mac/
rpm:	
#	su -c "alien -r -k $(PROG)_$(VER)-1_all.deb"
	fakeroot alien -r -k $(PROG)_$(VER)-1_all.deb
	mv $(PROG)*.noarch.rpm $(PROG)-$(VER)-1.noarch.rpm || true

srcdist :
	$(MAKE) mrproper
	rm -rf $(TMPDIR)/$(PROG)-$(VER)
	mkdir $(TMPDIR)/$(PROG)-$(VER)
	cp $(DOC) $(SRCDIST) $(TMPDIR)/$(PROG)-$(VER)
	cp Makefile* xnap.sh xnap.bat $(TMPDIR)/$(PROG)-$(VER)
	find -type d -maxdepth 1 -not -path . \
		 -exec cp -a {} $(TMPDIR)/$(PROG)-$(VER) \;
	cd $(TMPDIR)/$(PROG)-$(VER) && find -type d -name "CVS" | xargs rm -rf
	cd $(TMPDIR) && tar -czf $(PROG)-$(VER)-src.tar.gz $(PROG)-$(VER)
	mv  $(TMPDIR)/$(PROG)-$(VER)-src.tar.gz .


tgzdist : tmpdist
	cp xnap.sh $(TMPDIR)/$(PROG)-$(VER)
	cd $(TMPDIR) && $(TAR) -czf $(PROG)-$(VER).tar.gz $(PROG)-$(VER)
	mv $(TMPDIR)/$(PROG)-$(VER).tar.gz .

tmpdist : jar.stamp
	rm -rf $(TMPDIR)/$(PROG)-$(VER)
	mkdir -p $(TMPDIR)/$(PROG)-$(VER)
	cp $(DOC) README xnap.jar $(TMPDIR)/$(PROG)-$(VER)

windist : jar.stamp
	rm -f $(PROG)-$(VER)-installer.exe || true
	cp COPYING COPYING.txt 
	recode lat1..ibmpc COPYING.txt
	cp README README.txt
	recode lat1..ibmpc README.txt
	export DISPLAY=:0.0; wine makensis.exe xnap.nsi
	mv xnap-installer.exe $(PROG)-$(VER)-installer.exe

wwwdist: tgzdist jardist macdist
#	mv $(PROG)-$(VER)* ..

##############################################################################
# RELEASE / INSTALL RULES
##############################################################################

distupload: 
	scp $(UPLOADS) \
	  $(shell cat CVS/Root | sed -e 's/\@.*//')@shell.sf.net:

wwwupload: 
	scp $(UPLOADS) \
	  $(shell cat CVS/Root | sed -e 's/\@.*//')@shell.sf.net:/home/groups/x/xn/xnap/htdocs/snapshot

wwwdoc: 
	scp -r doc/* \
	  $(shell cat CVS/Root | sed -e 's/\@.*//')@shell.sf.net:/home/groups/x/xn/xnap/htdocs/doc/

distsave: 
	rm -rf ../$(PROG)_$(VER)
	mkdir ../$(PROG)_$(VER)
	-cp $(UPLOADS) ../$(PROG)_$(VER)

debian-install : jar.stamp 
	install -d $(DESTDIR)/usr/share/java/
	install -d $(DESTDIR)/usr/bin/	
	install -d $(DESTDIR)/usr/share/doc/xnap/
	install -d $(DESTDIR)/usr/share/icons/
	install -m755 xnap.sh $(DESTDIR)/usr/bin/xnap
	install -m644 xnap.jar $(DESTDIR)/usr/share/java/
	install -m644 icons/16/xnap.xpm $(DESTDIR)/usr/share/icons/
	install -m644  $(DOC) $(DESTDIR)/usr/share/doc/xnap/

debian-install-cvs : jar.stamp 
	install -d $(DESTDIR)/usr/share/java/
	install -d $(DESTDIR)/usr/bin/	
	install -d $(DESTDIR)/usr/share/doc/xnap-snapshot/
	install -d $(DESTDIR)/usr/share/icons/
	sed -e s/xnap.jar/xnap-snapshot.jar/ < xnap.sh > \
					$(DESTDIR)/usr/bin/xnap-snapshot
	chmod a+x $(DESTDIR)/usr/bin/xnap-snapshot
	install -m644 icons/16/xnap.xpm \
			$(DESTDIR)/usr/share/icons/xnap-snapshot.xpm
	install -m644 xnap.jar $(DESTDIR)/usr/share/java/xnap-snapshot.jar
	install -m644  $(DOC) $(DESTDIR)/usr/share/doc/xnap-snapshot/

fetchreleases :
	test -d ../releases || mkdir ../releases 
	cd ../releases && wget -c http://dl.sf.net/xnap/*jar
	cd ../releases && wget -c http://dl.sf.net/xnap/*-src.tar.gz

install : jar.stamp
	install -d $(PREFIX)/share/xnap/
	install -d $(PREFIX)/bin/	
	install -d $(PREFIX)/share/doc/xnap/
	install -m755 xnap.sh $(PREFIX)/bin/xnap
	install -m644 xnap.jar $(PREFIX)/share/xnap/
	install -m644 $(DOC) $(PREFIX)/share/doc/xnap/

release : i18n-dist deb rpm dist 

uninstall : 
	rm  -f $(PREFIX)/bin/xnap
	rm -rf $(PREFIX)/share/xnap/
	rm -rf $(PREFIX)/share/doc/xnap/

upload-jar: distsave
	lftp -u anonymous,xnap@sf.xnap.net -e \
          "lcd ../$(PROG)_$(VER) && cd incoming && mput *.jar" \
	  upload.sf.net

upload: distsave

=== doc/Makefile ===
# trailing slash is mandatory, otherwise xsltproc will fail
OUT_DIR = /tmp/
JAVAHELP_XSL_SHEET = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/javahelp/javahelp.xsl
DOCBOOK2HTML = docbook2html
XSLTPROC = xsltproc

# allow for other variable values

ifeq ($(shell test -r ..//Makefile.config && echo "true"),true)
  include ..//Makefile.config
endif

docbook-html:
	$(DOCBOOK2HTML) -o $(OUT_DIR) xnap-manual.docbook

javahelp:
	$(XSLTPROC) -o $(OUT_DIR) $(JAVAHELP_XSL_SHEET) xnap-manual.xml

=== junit/Makefile ===
all %:
	make -C .. C_DEPENDS="$(shell cd ..; find junit/ -name "*Test.java")" $@

=== util/Makefile ===
all %:
	make -C .. C_DEPENDS="$(shell cd ..; find util/ -name "*.java")" $@

=== debian/changelog ===
xnap (2.5-pre3-2) unstable; urgency=low

  * control: Added java2-runtime to dependencies. (closes: #126849)

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 28 Oct 2003 00:21:54 +0100

xnap (2.5-pre3-1) unstable; urgency=low

  * xnap/XNap.java: New upstream version. (closes: #216599)

  * Makefile.config: Added rt.jar from jre1.4 to $CLASSPATH (closes: #213674)
  
  * debian/control: Removed java-virtual-machine from dependencies and
    added jre1.4. Unfortunately XNap cannot be run with gcj or similar
    incomplete java implementations. (closes: #201615)

 -- Yven Johannes Leist <leist@beldesign.de>  Mon,  6 Oct 2003 21:32:02 +0200

xnap (2.5-pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue,  6 May 2003 21:09:06 +0200

xnap (2.5-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 22 Apr 2003 18:27:59 +0200

xnap (2.4r1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Thu, 13 Mar 2003 23:30:26 +0100

xnap (2.4-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun,  9 Mar 2003 00:44:34 +0100

xnap (2.4-pre5-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 18 Jan 2003 17:13:56 +0100

xnap (2.4-pre4-2) unstable; urgency=low

  * Fixed runtime failure caused by a missing i18n file. I had removed
    some files to get rid of local changes, and then forgot to do a cvs up
    before building the package, stupid me... (closes: #176127).

 -- Yven Johannes Leist <leist@beldesign.de>  Fri, 10 Jan 2003 13:57:11 +0100

xnap (2.4-pre4-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue,  7 Jan 2003 01:41:16 +0100

xnap (2.4-pre3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 18 Dec 2002 02:29:55 +0100

xnap (2.4-pre2-1) unstable; urgency=low

  * New upstream version.
  * Fixed unconditional include of j2re1.3 rt.jar (closes: #170617).

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 11 Dec 2002 16:38:23 +0100

xnap (2.4-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 11 Dec 2002 16:35:18 +0100

xnap (2.4-beta6-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 26 Nov 2002 17:17:07 +0100

xnap (2.4-beta5-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 16 Nov 2002 21:22:33 +0100

xnap (2.4-beta4-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 16 Nov 2002 21:22:22 +0100

xnap (2.4-beta3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 16 Nov 2002 01:36:52 +0100

xnap (2.4-beta2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 29 Oct 2002 21:11:23 +0100

xnap (2.4-beta1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun, 27 Oct 2002 20:00:33 +0100

xnap (2.2-pre3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 24 Jul 2002 16:57:36 +0200

xnap (2.2-pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 20 Jul 2002 23:22:55 +0200

xnap (2.2-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun, 30 Jun 2002 19:33:20 +0200

xnap (2.1-release-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue,  7 May 2002 20:05:13 +0200

xnap (2.1-pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Thu,  2 May 2002 21:28:41 +0200

xnap (2.1-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 23 Apr 2002 08:48:37 +0200

xnap (2.0-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sat,  9 Mar 2002 01:04:37 +0100

xnap (2.0-pre3-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 26 Feb 2002 15:56:43 +0100

xnap (2.0-pre1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Sun, 10 Feb 2002 20:17:30 +0100

xnap (2.0-alpha1-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Thu, 17 Jan 2002 12:21:47 +0100

xnap (1.3-pre1-1) unstable; urgency=low

  * New	upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 15 Jan 2002 16:02:12 +0100

xnap (1.2-1) unstable; urgency=low

  * New	upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Mon, 17 Dec 2001 18:34:05 +0100

xnap (1.1-1) unstable; urgency=low

  * New	upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Fri, 30 Nov 2001 23:37:33 +0100

xnap (1.1_pre2-1) unstable; urgency=low

  * New upstream version.

 -- Yven Johannes Leist <leist@beldesign.de>  Wed, 14 Nov 2001 21:26:26 +0100

xnap (1.1_pre1-1) unstable; urgency=low

  * New upstream version.
  * Changed wrong versioning.
  * Updated documentation.
    
 -- Yven Johannes Leist <leist@beldesign.de>  Sat, 10 Nov 2001 15:46:03 +0100

xnap (1.0-1) unstable; urgency=low

  * New upstream version. (many New icons added via the Swing Action concept)

 -- Yven Johannes Leist <leist@beldesign.de>  Mon,  1 Oct 2001 15:46:58 +0200

xnap (1.0_pre6-1) unstable; urgency=low
  
  * New upstream version. (gift support is now working quite well!)

 -- Yven Johannes Leist <leist@beldesign.de>  Tue, 25 Sep 2001 23:09:57 +0200

xnap (1.0_pre5-1) unstable; urgency=low
  
  * New upstream version. (first try to integrate giFT...)



=== debian/control ===
Source: xnap
Section: contrib/net
Priority: optional
Maintainer: Yven Johannes Leist <leist@beldesign.de>
Build-Depends-Indep: docbook-to-man, jikes, debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: xnap
Architecture: all
Depends: j2re1.3 | j2re1.4 | java2-runtime
Suggests: xnap-snapshot
Description: A plugin-based filesharing client
 XNap is a plugin-based filesharing client written in java. 
 Currently it includes an OpenNap plugin, with multiple server support, 
 automatic downloading, resuming of incomplete files, chat, hotlist and 
 an advanced media library. It features a Swing GUI and a terminal mode.

=== debian/rules ===
#!/usr/bin/make -f

# rules file for xnap

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build:  build-stamp
build-stamp:
	dh_testdir
	$(MAKE) jar
	docbook-to-man debian/xnap.sgml > xnap.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) mrproper

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	$(MAKE) debian-install DESTDIR=$(CURDIR)/debian/xnap
	rm -f $(CURDIR)/debian/xnap/usr/share/doc/xnap/COPYING*
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman xnap.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
